#!/bin/sh
#
# Kolab Systems Postfix Mail Server
#  unjoin script
#
# Copyright 2015 Kolab Systems AG
#
# http://www.kolabsystems.com/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

VERSION=1

. /usr/share/univention-lib/all.sh
. /usr/share/univention-join/joinscripthelper.lib
joinscript_init

eval "$(ucr shell)"

# de-configure firewall (configured in postinst)
ucr unset security/packetfilter/package/kolab-imap/tcp/110/all \
	security/packetfilter/package/kolab-imap/tcp/110/all/en \
	security/packetfilter/package/kolab-imap/tcp/143/all \
	security/packetfilter/package/kolab-imap/tcp/143/all/en \
	security/packetfilter/package/kolab-imap/tcp/993/all \
	security/packetfilter/package/kolab-imap/tcp/993/all/en \
	security/packetfilter/package/kolab-imap/tcp/995/all \
	security/packetfilter/package/kolab-imap/tcp/995/all/en \
	security/packetfilter/package/kolab-imap/tcp/4190/all \
	security/packetfilter/package/kolab-imap/tcp/4190/all/en
[ -x "/etc/init.d/univention-firewall" ] && invoke-rc.d univention-firewall restart
        
# remove service from my host object
ucs_removeServiceFromLocalhost "IMAP" "$@"

joinscript_remove_script_from_status_file kolab-imap

exit 0
